org.jfree.report.expressions.sys

## Class IsExportTypeExpression

- java.lang.Object
- - org.jfree.report.expressions.AbstractExpression
  - - org.jfree.report.expressions.sys.IsExportTypeExpression

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Expression

      public class IsExportTypeExpression
      extends AbstractExpression

  Tests, whether a certain export type is currently used.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsExportTypeExpression()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `computeValue()` Return the current expression value.
    `java.lang.String` | `getExportType()`
    `void` | `setExportType(java.lang.String exportType)`

    - ### Methods inherited from class org.jfree.report.expressions.AbstractExpression

      `clone, getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsExportTypeExpression

          public IsExportTypeExpression()

  - ### Method Detail

    - #### getExportType

          public java.lang.String getExportType()

    - #### setExportType

          public void setExportType(java.lang.String exportType)

    - #### computeValue

          public java.lang.Object computeValue()
                                        throws ExpressionException

      Return the current expression value.

      The value depends (obviously) on the expression implementation.

      Returns:
        the value of the function.
      Throws:
        `ExpressionException`